interface origin {
    // 1:单表crud
    moduleType: number,
    // 当前模块包路径 "com/galaxis/wms/bas/area"
    packagePath: string;
    // 当前模块文件保存路径 "D:/SourceCode/jztd/wms8-bench/wms-biz/bundle/src/com/galaxis/wms/bas/area"
    fileSavePath: string;
    // 模块名称 "Dict"
    moduleName: string;
    // 页面标题 "字典维护"
    pageTitle: string;
    // 查询使用的 sql语句
    sql: string;
    // 字段列
    columnList: Array<{
        schema_name: string;
        table_name: string;
        column_name: string;
        column_comment: string;
        is_primary_key: true;
        column_dict: string;
        column_ui: string;
        data_type: string;
        column_type: number;
    }>,
    // 新增或者删除所用的表
    tableName: string;
    // 查询使用的字段
    queryColumns: Array<string>;
    // 编辑使用的字段
    editColumns: Array<string>;
    // 是否分页查询
    pagination: boolean;
    // 是否需要删除
    delete: boolean;
    // 删除条件字段
    deleteWhereColumn: string;
    // 删除提示语
    deleteTips: string;
    // 编辑类型: 1 不要新增和编辑; 2 表格内新增/编辑; 3对话框新增/编辑;
    editType: number;
}

interface queryDsl {

}

interface data {
    // 是否分页查询
    pagination: boolean;
    // package com.galaxis.wms.bas.area.LzwTest
    package: string;
    // TestDemo
    groovyClass: string;
    // QBasDict
    qClass: string;
    // basDict
    qClassTable: string;
    // 需要insert的列
    insertColumns: Array<{
        // dictCode (QueryDSL中的Q类字段)
        qClassField: string;
        // dict_code (请求参数的字段名)
        paramField: string;
    }>;
    // 需要update的列
    updateColumns: Array<{
        // dictCode (QueryDSL中的Q类字段)
        qClassField: string;
        // dict_code (请求参数的字段名)
        paramField: string;
    }>;
    // update的where条件
    updateWheres: Array<{
        // dictCode (QueryDSL中的Q类字段)
        qClassField: string;
        // asInteger asString asLong asDecimal asTimestamp
        dbConvMethod: string;
        // dict_code (请求参数的字段名)
        paramField: string;
    }>;
    // delete的where条件
    deleteWheres: Array<{
        // dictCode (QueryDSL中的Q类字段)
        qClassField: string;
        // asInteger asString asLong asDecimal asTimestamp
        dbConvMethod: string;
        // dict_code (请求参数的字段名)
        paramField: string;
    }>;
    // select * from asn_in_details (查询使用的 sql语句)
    sql: string;
    // 字典维护
    pageTitle: string;
    // true (新增按钮)
    addButton: boolean;
    // true (保存按钮)
    saveButton: boolean;
    // true (删除按钮)
    deleteButton: boolean;
    // 真的要删除? (删除提示语)
    deleteTips: string;
    // /bas/area/TestDemo
    invokeUrlPrefix: string;
    // grid表格列
    gridColumns: Array<{
        dataIndex: string;
        header: string;
        fix: {
            // AREA_CLASSIFY
            dictName: string;
        },
        editor: {
            // textfield combo
            xtype: string;
            fix: {
                // AREA_CLASSIFY
                dictName: string;
            },
        },
    }>;
}
